[Libreoffice-commits] .: 2 commits - autogen.sh bin/setup.in bin/unpack configure.in

Thorsten Behrens thorsten at kemper.freedesktop.org
Sat Oct 9 09:10:30 PDT 2010


 autogen.sh   |   16 +++++-------
 bin/setup.in |    1 
 bin/unpack   |   76 +++++++++++++++++++++++++++++------------------------------
 configure.in |   34 --------------------------
 4 files changed, 45 insertions(+), 82 deletions(-)

New commits:
commit baa8b3c3846f6fabb6f396807b65394e9d93abbc
Author: Thorsten Behrens <tbehrens at novell.com>
Date:   Sat Oct 9 17:53:48 2010 +0200

    Remove use of non-std sed options from autogen
    
    The last-argument recovery method in autogen did use nonstandard "-r"
    option of sed. Replaced by a more portable, and equivalent, perl
    one-liner. Also, reduced git usage somewhat, and made automake params
    conditional to certain platforms

diff --git a/autogen.sh b/autogen.sh
index d6f2f93..c4bdb86 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -9,14 +9,9 @@ if test "z$1" = "z--clean"; then
     exit 1;
 fi
 
-requote_args ()
-{
-    sed -r -e 's/.*configure //' -e 's/(["'"'"'])/\\\1/g' -e 's/=(([^"'"'"'-]|-[^-]| )*)( |$)/="\1" /g'
-}
-
 old_args=""
 if test $# -eq 0 && test -f config.log; then
-    old_args=`grep '\$ ./configure' config.log | requote_args`
+    old_args=`perl -e 'while(<>) { if( /\\s+\\$ .\\/configure/ ) { s/.*configure //; s/(["'"'"'])/\\\\$1/g; s/=(([^-"'"'"' ]|-[^- ])*)( |$)/="$1" /g; print $_; } }' config.log`
     echo "re-using arguments from last configure: $old_args";
 fi
 
@@ -25,8 +20,11 @@ touch ChangeLog
 if test "z$ACLOCAL_FLAGS" = "z" -a "z`uname -s`" = "zDarwin" ; then
     ACLOCAL_FLAGS="-I ./m4/mac"
 fi
+if test "z`uname -s`" != "zDarwin" ; then
+    AUTOMAKE_EXTRA_FLAGS=--warnings=no-portability
+fi
 aclocal $ACLOCAL_FLAGS || exit 1;
-automake --gnu --add-missing --copy --warnings=no-portability || exit 1;
+automake --gnu --add-missing --copy $AUTOMAKE_EXTRA_FLAGS || exit 1;
 # intltoolize --copy --force --automake
 autoconf || exit 1;
 if test "x$NOCONFIGURE" = "x"; then
@@ -49,6 +47,6 @@ if [ -d .git ] ; then
             ln -s "../../git-hooks/$file" "$hook"
         fi
     done
+    git config branch.master.rebase true
+    git config branch.autosetuprebase always
 fi
-git config branch.master.rebase true
-git config branch.autosetuprebase always
commit 039b8f87937d8e7bcd2d0ed97c6076df78662316
Author: Thorsten Behrens <tbehrens at novell.com>
Date:   Sat Oct 9 17:27:48 2010 +0200

    Remove gnuisms from cp usage
    
    The bin/unpack script previously employed the "-d" option
    to cp, which is a gnu extension. Removed that historic need,
    and subsequently also the configure check for gnucp

diff --git a/bin/setup.in b/bin/setup.in
index 0ad82a8..6ed5af0 100755
--- a/bin/setup.in
+++ b/bin/setup.in
@@ -83,7 +83,6 @@ DEJAVU_FONTS_VER=@DEJAVU_FONTS_VER@
 DEJAVU_FONTS_PACK_NAME=@DEJAVU_FONTS_PACK_NAME@
 LIBERATION_FONTS_VER=@LIBERATION_FONTS_VER@
 AGFA_MONOTYPE_FONTS_SOURCE=@AGFA_MONOTYPE_FONTS_SOURCE@
-export GNUCP=@GNUCP@
 GNUPATCH=@GNUPATCH@
 GNUTAR=@GNUTAR@
 DRINK="@DRINK@"
diff --git a/bin/unpack b/bin/unpack
index d38e15d..5df96ae 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -377,7 +377,7 @@ fi
 JSR_API_JAR=jsr173_1.0_api.jar
 if test -f "$SRCDIR/$JSR_API_JAR"; then
     mkdir -p $OOBUILDDIR/stax/download
-    $GNUCP -f $SRCDIR/$JSR_API_JAR $OOBUILDDIR/stax/download
+    cp -f $SRCDIR/$JSR_API_JAR $OOBUILDDIR/stax/download
 fi
 
 # copy in misc Mono related dlls if we need to
@@ -397,21 +397,21 @@ if test "z$BUILD_WIN32" != "z"; then
     if test -f $OOBUILDDIR/external/gdiplus/gdiplus.dll; then
         echo "Already have gdiplus.dll"
     else
-        $GNUCP -p $SRCDIR/gdiplus.dll $OOBUILDDIR/external/gdiplus/gdiplus.dll
+        cp -p $SRCDIR/gdiplus.dll $OOBUILDDIR/external/gdiplus/gdiplus.dll
     fi
 
     # vcredist_x86.exe
     if test -f $OOBUILDDIR/external/vcredist/vcredist_x86.exe; then
         echo "Already have vcredist_x86.exe"
     else
-        $GNUCP -p $SRCDIR/vcredist_x86.exe $OOBUILDDIR/external/vcredist/vcredist_x86.exe
+        cp -p $SRCDIR/vcredist_x86.exe $OOBUILDDIR/external/vcredist/vcredist_x86.exe
     fi
 
     # vcredist_x64.exe
     if test -f $OOBUILDDIR/external/vcredist/vcredist_x64.exe; then
         echo "Already have vcredist_x86.exe"
     else
-        $GNUCP -p $SRCDIR/vcredist_x64.exe $OOBUILDDIR/external/vcredist/vcredist_x64.exe
+        cp -p $SRCDIR/vcredist_x64.exe $OOBUILDDIR/external/vcredist/vcredist_x64.exe
     fi
 
     # dbghelp
@@ -460,7 +460,7 @@ if test "z$BUILD_WIN32" != "z"; then
 
     if test -f $SRCDIR/$BUILD_MOZILLA_SOURCE;  then
         $echo_n "Installing Mozilla source $echo_c"
-	$GNUCP -f $SRCDIR/$BUILD_MOZILLA_SOURCE $OOBUILDDIR/moz/download || exit 1;
+	cp -f $SRCDIR/$BUILD_MOZILLA_SOURCE $OOBUILDDIR/moz/download || exit 1;
 	echo "done";
     else
 	echo "Don't need to unpack Mozilla sources";
@@ -476,8 +476,8 @@ if test "z$BUILD_WIN32" != "z"; then
 	echo "Already have Mozilla libIDL sources";
     else
         $echo_n "Installing Mozilla libIDL source $echo_c"
-	$GNUCP -f $SRCDIR/$MOZILLA_IDL_SRC $OOBUILDDIR/moz/download || exit 1;
-	$GNUCP -f $SRCDIR/$MOZILLA_IDL_PATCH $OOBUILDDIR/moz/download || exit 1;
+	cp -f $SRCDIR/$MOZILLA_IDL_SRC $OOBUILDDIR/moz/download || exit 1;
+	cp -f $SRCDIR/$MOZILLA_IDL_PATCH $OOBUILDDIR/moz/download || exit 1;
 	echo "done";
     fi
 
@@ -485,8 +485,8 @@ if test "z$BUILD_WIN32" != "z"; then
 	echo "Already have Mozilla GLib source";
     else
         $echo_n "Installing Mozilla GLib source $echo_c"
-	$GNUCP -f $SRCDIR/$MOZILLA_GLIB_SRC $OOBUILDDIR/moz/download || exit 1;
-	$GNUCP -f $SRCDIR/$MOZILLA_GLIB_PATCH $OOBUILDDIR/moz/download || exit 1;
+	cp -f $SRCDIR/$MOZILLA_GLIB_SRC $OOBUILDDIR/moz/download || exit 1;
+	cp -f $SRCDIR/$MOZILLA_GLIB_PATCH $OOBUILDDIR/moz/download || exit 1;
 	echo "done";
     fi
 
@@ -494,7 +494,7 @@ if test "z$BUILD_WIN32" != "z"; then
 	echo "Already have Mozilla wintools";
     else
         $echo_n "Installing Mozilla wintools $echo_c"
-	$GNUCP -f $SRCDIR/$MOZILLA_WINTOOLS_BIN $OOBUILDDIR/moz/download || exit 1;
+	cp -f $SRCDIR/$MOZILLA_WINTOOLS_BIN $OOBUILDDIR/moz/download || exit 1;
 	echo "done";
     fi
 
@@ -510,9 +510,9 @@ if test "z$BUILD_WIN32" != "z"; then
 	echo "Already have the prebuilt Mozilla zip files";
     else
         $echo_n "Installing prebuilt Mozilla zip files $echo_c"
-	$GNUCP -f $SRCDIR/$MOZILLA_PREBUILT_INC $OOBUILDDIR/moz/zipped || exit 1;
-	$GNUCP -f $SRCDIR/$MOZILLA_PREBUILT_LIB $OOBUILDDIR/moz/zipped || exit 1;
-	$GNUCP -f $SRCDIR/$MOZILLA_PREBUILT_RUNTIME $OOBUILDDIR/moz/zipped || exit 1;
+	cp -f $SRCDIR/$MOZILLA_PREBUILT_INC $OOBUILDDIR/moz/zipped || exit 1;
+	cp -f $SRCDIR/$MOZILLA_PREBUILT_LIB $OOBUILDDIR/moz/zipped || exit 1;
+	cp -f $SRCDIR/$MOZILLA_PREBUILT_RUNTIME $OOBUILDDIR/moz/zipped || exit 1;
 	echo "done";
     fi
 
@@ -521,9 +521,9 @@ if test "z$BUILD_WIN32" != "z"; then
             -f $OOBUILDDIR/external/msvcp80/Microsoft.VC80.CRT.manifest; then
 	echo "Already have msvcr80.dll, msvcp80.dll and Microsoft.VC80.CRT.manifest"
     else
-	$GNUCP -p $SRCDIR/msvcr80.dll $OOBUILDDIR/external/msvcp80
-	$GNUCP -p $SRCDIR/msvcp80.dll $OOBUILDDIR/external/msvcp80
-	$GNUCP -p $SRCDIR/Microsoft.VC80.CRT.manifest $OOBUILDDIR/external/msvcp80
+	cp -p $SRCDIR/msvcr80.dll $OOBUILDDIR/external/msvcp80
+	cp -p $SRCDIR/msvcp80.dll $OOBUILDDIR/external/msvcp80
+	cp -p $SRCDIR/Microsoft.VC80.CRT.manifest $OOBUILDDIR/external/msvcp80
     fi
 
     if test "z`uname -s`" = "zInterix"; then
@@ -544,7 +544,7 @@ if test "z$BUILD_WIN32" != "z"; then
      if test -f $OOBUILDDIR/external/msvcp71/msvcr71.dll; then
  	echo "Already have msvcr71.dll"
      else
- 	$GNUCP -p $SRCDIR/msvcr71.dll $OOBUILDDIR/external/msvcp71
+       cp -p $SRCDIR/msvcr71.dll $OOBUILDDIR/external/msvcp71
      fi
  
     if test -f $OOBUILDDIR/external/msm90/Microsoft_VC90_CRT_x86.msm -a \
@@ -553,8 +553,8 @@ if test "z$BUILD_WIN32" != "z"; then
     elif test -f "$CommonProgsX86/Merge Modules/Microsoft_VC90_CRT_x86.msm" -a \
               -f "$CommonProgsX86/Merge Modules/policy_9_0_Microsoft_VC90_CRT_x86.msm"; then
 	echo "Copying Microsoft VC9.0 CRT Merge Modules"
-	$GNUCP -p "$CommonProgsX86/Merge Modules/Microsoft_VC90_CRT_x86.msm" $OOBUILDDIR/external/msm90
-	$GNUCP -p "$CommonProgsX86/Merge Modules/policy_9_0_Microsoft_VC90_CRT_x86.msm" $OOBUILDDIR/external/msm90
+	cp -p "$CommonProgsX86/Merge Modules/Microsoft_VC90_CRT_x86.msm" $OOBUILDDIR/external/msm90
+	cp -p "$CommonProgsX86/Merge Modules/policy_9_0_Microsoft_VC90_CRT_x86.msm" $OOBUILDDIR/external/msm90
     else
 	echo "Missing Microsoft VC9.0 CRT Merge Modules:"
 	echo "Microsoft_VC90_CRT_x86.msm and policy_9_0_Microsoft_VC90_CRT_x86.msm."
@@ -566,7 +566,7 @@ if test "z$BUILD_WIN32" != "z"; then
    if test -f $OOBUILDDIR/external/msi/instmsiw.exe; then
 	echo "Already have instmsiw.exe"
     else
-	$GNUCP $SRCDIR/instmsiw.exe $OOBUILDDIR/external/msi
+	cp $SRCDIR/instmsiw.exe $OOBUILDDIR/external/msi
     fi
 
     if test -f $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE; then
@@ -576,7 +576,7 @@ if test "z$BUILD_WIN32" != "z"; then
 	else
 	    $echo_n "Installing Agfa Monotype fonts $echo_c"
 	    mkdir -p $OOBUILDDIR/agfa_monotype_fonts/download
-	    $GNUCP -f $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE $OOBUILDDIR/agfa_monotype_fonts/download/${agfa_md5}-agfa-monotype-fonts.tar.gz || exit 1
+	    cp -f $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE $OOBUILDDIR/agfa_monotype_fonts/download/${agfa_md5}-agfa-monotype-fonts.tar.gz || exit 1
 	    echo "done"
         fi
 	if grep 'Agfa Monotype' $OOBUILDDIR/readlicense_oo/html/THIRDPARTYLICENSEREADME.html; then
@@ -613,7 +613,7 @@ else
     if test -f $SRCDIR/$BUILD_MOZILLA_SOURCE; then
         echo "Copying Mozilla package into the tree"
         mkdir -p $OOBUILDDIR/moz/download || exit 1
-        $GNUCP $SRCDIR/$BUILD_MOZILLA_SOURCE $OOBUILDDIR/moz/download/ || exit 1
+        cp $SRCDIR/$BUILD_MOZILLA_SOURCE $OOBUILDDIR/moz/download/ || exit 1
     fi
 
 fi
@@ -813,7 +813,7 @@ if test "x$LIBERATION_FONTS_VER" != "x"; then
     LIBERATION_FONTSDEST=$OOBUILDDIR/bitstream_vera_fonts/download/liberation-fonts.zip
     echo "Updating Liberation fonts zip archive to version $LIBERATION_FONTS_VER"
     LIBERATION_FONTSSRC=liberation-fonts-ttf-$LIBERATION_FONTS_VER.zip
-    $GNUCP -f $SRCDIR/$LIBERATION_FONTSSRC $LIBERATION_FONTSDEST || exit 1;
+    cp -f $SRCDIR/$LIBERATION_FONTSSRC $LIBERATION_FONTSDEST || exit 1;
     echo "done"
 fi
 
@@ -822,14 +822,14 @@ if test "x$MDBTOOLS_SRC" != "x" -a "z$SYSTEM_MDBTOOLS" != "zYES"; then
     echo "Copying mdbtools into the tree"
     MDBDEST=$OOBUILDDIR/mdbtools/download
     mkdir -p $MDBDEST || exit 1;
-    $GNUCP $SRCDIR/$MDBTOOLS_SRC $MDBDEST || exit 1;
+    cp $SRCDIR/$MDBTOOLS_SRC $MDBDEST || exit 1;
 fi
 
 if test "x$GRAPHITE_SRC" != "x"; then
     echo "Copying graphite into the tree"
     GRAPHITE_DEST=$OOBUILDDIR/graphite/download
     mkdir -p $GRAPHITE_DEST || exit 1;
-    $GNUCP $SRCDIR/$GRAPHITE_SRC $GRAPHITE_DEST || exit 1;
+    cp $SRCDIR/$GRAPHITE_SRC $GRAPHITE_DEST || exit 1;
 fi
 
 $TOOLSDIR/bin/piece/unpack-extras $TOOLSDIR $OOBUILDDIR || exit 1;
@@ -842,7 +842,7 @@ if test "$CAIRO_ENABLED" = "TRUE" -a "$SYSTEM_CAIRO" != "TRUE"; then
     mkdir -p $OOBUILDDIR/cairo
     check_tarball $SRCDIR/cairo-${CAIRO_VER}.tar.gz
     mkdir -p $OOBUILDDIR/cairo/download
-    $GNUCP $SRCDIR/cairo-${CAIRO_VER}.tar.gz $OOBUILDDIR/cairo/download/
+    cp $SRCDIR/cairo-${CAIRO_VER}.tar.gz $OOBUILDDIR/cairo/download/
 fi
 
 # OxygenOffice extras
@@ -857,35 +857,35 @@ for pack in $SUNTEMPLATES_LANG ; do
     check_file $SRCDIR/Sun_ODF_Template_Pack_$pack.oxt
     echo "Copying Sun_ODF_Template_Pack_$pack.oxt"
     mkdir -p $OOBUILDDIR/extras/source/extensions/ || exit 1
-    $GNUCP $SRCDIR/Sun_ODF_Template_Pack_$pack.oxt -d $OOBUILDDIR/extras/source/extensions || exit 1
+    cp $SRCDIR/Sun_ODF_Template_Pack_$pack.oxt $OOBUILDDIR/extras/source/extensions/ || exit 1
 done
 
 for pack in $LIGHTPROOF_FILENAMES ; do
     check_file $SRCDIR/$pack
     echo "Copying LightProof extension ($pack) into the tree"
     mkdir -p $OOBUILDDIR/extras/source/extensions/ || exit 1
-    $GNUCP $SRCDIR/$pack -d $OOBUILDDIR/extras/source/extensions || exit 1
+    cp $SRCDIR/$pack $OOBUILDDIR/extras/source/extensions/ || exit 1
 done
 
 if test "x$NUMBERTEXT_EXTENSION" != "x"; then
     check_file $SRCDIR/$NUMBERTEXT_EXTENSION
     echo "Copying NumberText extension into the tree"
     mkdir -p $OOBUILDDIR/extras/source/extensions/ || exit 1
-    $GNUCP $SRCDIR/$NUMBERTEXT_EXTENSION -d $OOBUILDDIR/extras/source/extensions/numbertext.oxt || exit 1
+    cp $SRCDIR/$NUMBERTEXT_EXTENSION $OOBUILDDIR/extras/source/extensions/numbertext.oxt || exit 1
 fi
 
 if test "x$HUNART_EXTENSION" != "x"; then
     check_file $SRCDIR/$HUNART_EXTENSION
     echo "Copying Hungarian Cross/reference Toolbar extension into the tree"
     mkdir -p $OOBUILDDIR/extras/source/extensions/ || exit 1
-    $GNUCP $SRCDIR/$HUNART_EXTENSION -d $OOBUILDDIR/extras/source/extensions/hunart.oxt || exit 1
+    cp $SRCDIR/$HUNART_EXTENSION $OOBUILDDIR/extras/source/extensions/hunart.oxt || exit 1
 fi
 
 if test "x$TYPO_EXTENSION" != "x"; then
     check_file $SRCDIR/$TYPO_EXTENSION
     echo "Copying Typography Toolbar extension into the tree"
     mkdir -p $OOBUILDDIR/extras/source/extensions/ || exit 1
-    $GNUCP $SRCDIR/$TYPO_EXTENSION -d $OOBUILDDIR/extras/source/extensions/typo.oxt || exit 1
+    cp $SRCDIR/$TYPO_EXTENSION $OOBUILDDIR/extras/source/extensions/typo.oxt || exit 1
 fi
 
 if test "x$CT2N_EXTENSION" != "x"; then
@@ -901,14 +901,14 @@ if test "x$WATCH_WINDOW_EXTENSION" != "x"; then
     check_file $SRCDIR/$WATCH_WINDOW_EXTENSION
     echo "Copying Watch Window extension into the tree"
     mkdir -p $OOBUILDDIR/extras/source/extensions/ || exit 1
-    $GNUCP $SRCDIR/$WATCH_WINDOW_EXTENSION -d $OOBUILDDIR/extras/source/extensions/WatchWindow.oxt || exit 1
+    cp $SRCDIR/$WATCH_WINDOW_EXTENSION $OOBUILDDIR/extras/source/extensions/WatchWindow.oxt || exit 1
 fi
 
 if test "x$GOOGLE_DOCS_EXTENSION" != "x"; then
     check_file $SRCDIR/$GOOGLE_DOCS_EXTENSION
     echo "Copying Google Docs extension into the tree"
     mkdir -p $OOBUILDDIR/extras/source/extensions/ || exit 1
-    $GNUCP $SRCDIR/$GOOGLE_DOCS_EXTENSION -d $OOBUILDDIR/extras/source/extensions/gdocs.oxt || exit 1
+    cp $SRCDIR/$GOOGLE_DOCS_EXTENSION $OOBUILDDIR/extras/source/extensions/gdocs.oxt || exit 1
 fi
 
 if test "x$NLPSOLVER_EXTENSION" != "x"; then
@@ -919,16 +919,16 @@ if test "x$OOOBLOGGER_EXTENSION" != "x"; then
     check_file $SRCDIR/$OOOBLOGGER_EXTENSION
     echo "Copying oooblogger extension into the tree"
     mkdir -p $OOBUILDDIR/extras/source/extensions/ || exit 1
-    $GNUCP $SRCDIR/$OOOBLOGGER_EXTENSION -d $OOBUILDDIR/extras/source/extensions || exit 1
+    cp $SRCDIR/$OOOBLOGGER_EXTENSION $OOBUILDDIR/extras/source/extensions || exit 1
 fi
 
 if echo $PROPAGATED_ARGS | grep -q enable-mysql-connector; then
     if ! echo $PROPAGATED_ARGS | grep -q system-mysql-cppconn; then
 	if [ ! -f $OOBUILDDIR/mysqlcppconn/download/mysql-connector-cpp.zip ]; then
-    	    check_tarball $SRCDIR/mysql-connector-cpp.zip
-    	    echo "Copying mysql-connector-cpp.zip into the tree"
-    	    mkdir -p $OOBUILDDIR/mysqlcppconn/download
-    	    $GNUCP -a $SRCDIR/mysql-connector-cpp.zip -d $OOBUILDDIR/mysqlcppconn/download || exit 1
+            check_tarball $SRCDIR/mysql-connector-cpp.zip
+            echo "Copying mysql-connector-cpp.zip into the tree"
+            mkdir -p $OOBUILDDIR/mysqlcppconn/download
+            cp -a $SRCDIR/mysql-connector-cpp.zip $OOBUILDDIR/mysqlcppconn/download || exit 1
 	fi
     fi
 fi
diff --git a/configure.in b/configure.in
index 317423e..eedfb7a 100644
--- a/configure.in
+++ b/configure.in
@@ -434,13 +434,6 @@ AC_ARG_WITH(typo,
   --with-typo       Download and integrate the Typography toolbar extension.],
 ,)
 
-AC_ARG_WITH(gnu-cp,
-[
-  --with-gnu-cp           The parameter is an absolute path to GNU cp.
-
-                          Example: --with-gnu-cp=/usr/local/bin/gcp],
-,)
-
 AC_ARG_WITH(gnu-patch,
 [
   --with-gnu-patch        The parameter is an absolute path to GNU patch.
@@ -1063,33 +1056,6 @@ AC_MSG_RESULT([${LIBERATION_FONTS_VER:-as upstream}])
 AC_SUBST(LIBERATION_FONTS_VER)
 
 
-AC_MSG_CHECKING([for GNU cp])
-GNUCP="cp"
-if test "z$with_gnu_cp" != "z"; then
-    if test "z${with_gnu_cp%%/*}" = "z" ; then
-        # it's an absolute path
-        if test -f $with_gnu_cp ; then
-            GNUCP=$with_gnu_cp
-        else
-            AC_MSG_ERROR([The file \"$with_gnu_cp\" does not exist.])
-        fi
-    else
-        AC_MSG_ERROR([--with-gnu-cp requires an absolute path])
-    fi
-fi
-if test "z`uname -s`" = "zDarwin"; then
-	if test "z$GNUCP" = "zcp"; then
-		AC_CHECK_PROG(xGNUCP, gcp, yes)
-		if ! test "z$xGNUCP" = "zyes"; then
-			AC_MSG_ERROR( GNU cp (GNU coreutils) must be installed )
-		else
-			GNUCP=gcp
-		fi
-	fi
-fi
-AC_MSG_RESULT([$GNUCP])
-AC_SUBST(GNUCP)
-
 AC_MSG_CHECKING([for GNU patch])
 GNUPATCH=patch
 if test "z$with_gnu_patch" != "z"; then


More information about the Libreoffice-commits mailing list